## ros-iron-rqt-common-plugins 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_common_plugins NONE)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-iron-rqt-common-plugins (1.2.0-3jammy) jammy; urgency=high

  * Remove unreleased plugins from rqt_common_plugins. (#465 <https://github.com/ros-visualization/rqt_common_plugins/issues/465>)
  * Update maintainers (#464 <https://github.com/ros-visualization/rqt_common_plugins/issues/464>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 10 May 2022 16:00:00 -0000

ros-iron-rqt-common-plugins (1.1.0-3jammy) jammy; urgency=high

  * Add ``rqt_bag`` to the ``rqt_common_plugins`` metapackage (#463 <https://github.com/ros-visualization/rqt_common_plugins/issues/463>)
  * Contributors: Michael Jeronimo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rqt-common-plugins (1.0.0-3jammy) jammy; urgency=high

  * ROS 2 port, commenting out unavailable plugins (#457 <https://github.com/ros-visualization/rqt_common_plugins/issues/457>)
  * convert to package format 2 (#455 <https://github.com/ros-visualization/rqt_common_plugins/issues/455>)

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 01 Dec 2019 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.8-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2017 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.7-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2017 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.6-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 26 Feb 2017 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.5-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 02 Feb 2017 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.4-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Jan 2017 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.3-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Nov 2016 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.2-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 18 Sep 2016 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 15 May 2016 16:00:00 -0000

ros-iron-rqt-common-plugins (0.4.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 Apr 2016 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.13-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Mar 2016 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.12-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 23 Jul 2015 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.11-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 29 Apr 2015 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.10-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 30 Sep 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.9-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 17 Aug 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.8-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 14 Jul 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.7-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Jul 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.6-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 01 Jun 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.5-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 May 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.4-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 27 Jan 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.3-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 07 Jan 2014 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.2-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 13 Oct 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.1-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 08 Oct 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.3.0-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 27 Aug 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.17-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 03 Jul 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.16-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 09 Apr 2013 05:33:00 -0000

ros-iron-rqt-common-plugins (0.2.15-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Apr 2013 16:02:00 -0000

ros-iron-rqt-common-plugins (0.2.14-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Mar 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.13-3jammy) jammy; urgency=high

  * New pkgs added (rqt_action, rqt_launch)

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 11 Mar 2013 14:14:00 -0000

ros-iron-rqt-common-plugins (0.2.12-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 11 Mar 2013 05:56:00 -0000

ros-iron-rqt-common-plugins (0.2.11-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Mar 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.10-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Jan 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.9-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 16 Jan 2013 16:00:00 -0000

ros-iron-rqt-common-plugins (0.2.8-3jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Jan 2013 16:00:00 -0000



=== debian/control ===
Source: ros-iron-rqt-common-plugins
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/rqt_common_plugins
Standards-Version: 3.9.2

Package: ros-iron-rqt-common-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rqt-action, ros-iron-rqt-bag, ros-iron-rqt-bag-plugins, ros-iron-rqt-console, ros-iron-rqt-graph, ros-iron-rqt-image-view, ros-iron-rqt-msg, ros-iron-rqt-plot, ros-iron-rqt-publisher, ros-iron-rqt-py-common, ros-iron-rqt-py-console, ros-iron-rqt-reconfigure, ros-iron-rqt-service-caller, ros-iron-rqt-shell, ros-iron-rqt-srv, ros-iron-rqt-topic, ros-iron-ros-workspace
Description: rqt_common_plugins metapackage provides ROS backend graphical tools suite that can be used on/off of robot runtime.
 To run any rqt plugins, just type in a single command &quot;rqt&quot;, then select any plugins you want from the GUI that launches afterwards. rqt consists of three following metapackages: rqt - core modules of rqt (ROS GUI) framework. rqt plugin developers barely needs to pay attention to this metapackage. rqt_common_plugins (you're here!) rqt_robot_plugins - rqt plugins that are particularly used with robots during their runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rqt-common-plugins//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
